[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# EShellCtrl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised for errors occurring in shell controls.

## Declaration

Source position: shellctrls.pas line 427

`type EShellCtrl = class(Exception)`

## Inheritance

`EShellCtrl` |  | Exception raised for errors occurring in shell controls.
`Exception`
?
`TObject`

## Description

EShellCtrl is a Exception descendant raised when errors occur in shell controls.

## See also

TCustomShellTreeView.CreateNode |  | Creates a new tree node for the shell control.
TCustomShellTreeView.DoSelectionChanged |  | Performs actions needed when a new item is selected in the shell control.
EInvalidPath |  | Exception raised for an invalid path in shell controls.